Bug 99135 - kernel BUG at page_alloc
kernel BUG at page_alloc
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 17:10 EDT by jdavis
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jdavis 2003-07-14 17:10:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020918

Description of problem:
using redhat smp kernel and latest e1000 driver from intel
no recompile or rebuild, just vanilla redhat errata kernel plus
latest e1000 driver from intel

also, not using NVidia driver, haven't installed nvidia driver and
not even running X on console as this is a server box

hardware: dell precsion 450N, dual 2.8GHZ, 2GB DDR memory, installed redhat 7.3
software, most redhat updates, and latest errata kernel


Jul 14 15:03:38 wolf93 kernel: kernel BUG at page_alloc.c:114!
Jul 14 15:03:38 wolf93 kernel: invalid operand: 0000
Jul 14 15:03:38 wolf93 kernel: CPU:    1
Jul 14 15:03:38 wolf93 kernel: EIP:    0010:[<c013d5c7>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
Jul 14 15:03:38 wolf93 kernel: EFLAGS: 00010296
Jul 14 15:03:38 wolf93 kernel: eax: 00000033   ebx: c2ad7940   ecx: 00000001  
edx: 00000001
Jul 14 15:03:38 wolf93 kernel: esi: 00000000   edi: 44400000   ebp: d88111b4  
esp: e94f5e54
Jul 14 15:03:38 wolf93 kernel: ds: 0018   es: 0018   ss: 0018
Jul 14 15:03:38 wolf93 kernel: Process fxmig_field (pid: 17386, stackpage=e94f5000)
Jul 14 15:03:38 wolf93 kernel: Stack: c0254fa0 c0254f40 c0254ee0 c1fdbcb0
c1c40030 c030f750 00000202 ffffffff 
Jul 14 15:03:38 wolf93 kernel:        d88111b4 00000040 c2ad7940 00000040
44400000 c0393320 c012b76a c2ad7940 
Jul 14 15:03:38 wolf93 kernel:        7ab4e067 00000163 c012c175 e08d5900
4441e000 fffe5390 4441e000 4441f000 
Jul 14 15:03:38 wolf93 kernel: Call Trace:   [<c012b76a>] __free_pte [kernel]
0x4a (0xe94f5e8c))
Jul 14 15:03:38 wolf93 kernel: [<c012c175>] zap_page_range [kernel] 0x385
(0xe94f5e9c))
Jul 14 15:03:38 wolf93 kernel: [<f8aa1fb2>] nfs_file_write [nfs] 0xa2 (0xe94f5f28))
Jul 14 15:03:38 wolf93 kernel: [<c012f00f>] do_munmap [kernel] 0x1ff (0xe94f5f64))
Jul 14 15:03:38 wolf93 kernel: [<c012106b>] do_softirq [kernel] 0x6b (0xe94f5f8c))
Jul 14 15:03:38 wolf93 kernel: [<c012f0c3>] sys_munmap [kernel] 0x33 (0xe94f5fa4))
Jul 14 15:03:38 wolf93 kernel: [<c0108be3>] system_call [kernel] 0x33 (0xe94f5fc0))
Jul 14 15:03:38 wolf93 kernel: Code: 0f 0b 72 00 e8 56 25 c0 83 c4 0c 8b 3d b0
84 3b c0 89 d8 29 

>>EIP; c013d5c7 <__free_pages_ok+77/420>   <=====
Trace; c012b76a <__free_pte+4a/50>
Trace; c012c175 <zap_page_range+385/4d0>
Trace; f8aa1fb2 <[nfs]nfs_file_write+a2/c0>
Trace; c012f00f <do_munmap+1ff/280>
Trace; c012106b <do_softirq+6b/d0>
Trace; c012f0c3 <sys_munmap+33/50>
Trace; c0108be3 <system_call+33/38>
Code;  c013d5c7 <__free_pages_ok+77/420>
00000000 <_EIP>:
Code;  c013d5c7 <__free_pages_ok+77/420>   <=====
   0:   0f 0b                     ud2a      <=====
Code;  c013d5c9 <__free_pages_ok+79/420>
   2:   72 00                     jb     4 <_EIP+0x4> c013d5cb
<__free_pages_ok+7b/420>
Code;  c013d5cb <__free_pages_ok+7b/420>
   4:   e8 56 25 c0 83            call   83c0255f <_EIP+0x83c0255f> 43d3fb26
Before first symbol
Code;  c013d5d0 <__free_pages_ok+80/420>
   9:   c4 0c 8b                  les    (%ebx,%ecx,4),%ecx
Code;  c013d5d3 <__free_pages_ok+83/420>
   c:   3d b0 84 3b c0            cmp    $0xc03b84b0,%eax
Code;  c013d5d8 <__free_pages_ok+88/420>
  11:   89 d8                     mov    %ebx,%eax
Code;  c013d5da <__free_pages_ok+8a/420>
  13:   29 00                     sub    %eax,(%eax)




Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-18.7

How reproducible:
Didn't try

Steps to Reproduce:
1. run lam mpi job compiled with intel compilers
2.
3.
    

Additional info:

reported error because of info in messages file. systems is up be not usuable
due to this problem. will have to reboot it
Comment 1 Bugzilla owner 2004-09-30 11:41:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.